Bug 69798 - rpm -Uvh kdelibs... failed dependencies
rpm -Uvh kdelibs... failed dependencies
Product: Red Hat Raw Hide
Classification: Retired
Component: kdelibs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Depends On:
  Show dependency treegraph
Reported: 2002-07-25 11:02 EDT by ellson
Modified: 2007-04-18 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-18 20:01:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ellson 2002-07-25 11:02:47 EDT
Description of Problem:
With all other packages fully updated to Raw Hide 20020724,
kdelibs still won't update due to failed dependencies.

Some of the dependencies are nonsensical, e.g.
arts >= 7:1.0.2

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. rpm -Uvh kdelibs-3.0.2-2.i386.rpm kdelibs-devel-3.0.2-2.i386.rpm

Actual Results:

error: Failed dependencies:
	arts >= 7:1.0.2 is needed by kdelibs-3.0.2-2
	libartsflow_idl.so.1 is needed by kdelibs-3.0.2-2
	libartsflow.so.1 is needed by kdelibs-3.0.2-2
	libkmedia2_idl.so.1 is needed by kdelibs-3.0.2-2
	libmcop.so.1 is needed by kdelibs-3.0.2-2
	libqtmcop.so.1 is needed by kdelibs-3.0.2-2
	libsoundserver_idl.so.1 is needed by kdelibs-3.0.2-2
	libartsflow_idl.so.1 is needed by (installed) noatun-3.0.2-3
	libartsflow_idl.so.1 is needed by (installed) kdebase-3.0.2-6
	libartsflow_idl.so.1 is needed by (installed) kdemultimedia-arts-3.0.2-3
	libartsflow_idl.so.1 is needed by (installed) kdegames-3.0.2-2
	libartsflow_idl.so.1 is needed by (installed) koffice-1.2-0.beta2.3
	libartsflow_idl.so.1 is needed by (installed) kaboodle-3.0.2-3
	libartsflow_idl.so.1 is needed by (installed) koncd-3.0.2-3
	libartsflow_idl.so.1 is needed by (installed) kdeaddons-konqueror-3.0.2-3
	libartsflow_idl.so.1 is needed by (installed) kdeaddons-noatun-3.0.2-3
	libartsflow.so.1 is needed by (installed) noatun-3.0.2-3
	libartsflow.so.1 is needed by (installed) kdebase-3.0.2-6
	libartsflow.so.1 is needed by (installed) kdemultimedia-arts-3.0.2-3
	libartsflow.so.1 is needed by (installed) kdegames-3.0.2-2
	libartsflow.so.1 is needed by (installed) koffice-1.2-0.beta2.3
	libartsflow.so.1 is needed by (installed) kaboodle-3.0.2-3
	libartsflow.so.1 is needed by (installed) koncd-3.0.2-3
	libartsflow.so.1 is needed by (installed) kdeaddons-konqueror-3.0.2-3
	libartsflow.so.1 is needed by (installed) kdeaddons-noatun-3.0.2-3
	libkmedia2_idl.so.1 is needed by (installed) noatun-3.0.2-3
	libkmedia2_idl.so.1 is needed by (installed) kdebase-3.0.2-6
	libkmedia2_idl.so.1 is needed by (installed) kdemultimedia-arts-3.0.2-3
	libkmedia2_idl.so.1 is needed by (installed) kdegames-3.0.2-2
	libkmedia2_idl.so.1 is needed by (installed) koffice-1.2-0.beta2.3
	libkmedia2_idl.so.1 is needed by (installed) kaboodle-3.0.2-3
	libkmedia2_idl.so.1 is needed by (installed) koncd-3.0.2-3
	libkmedia2_idl.so.1 is needed by (installed) kdeaddons-konqueror-3.0.2-3
	libkmedia2_idl.so.1 is needed by (installed) kdeaddons-noatun-3.0.2-3
	libkmedia2.so.1 is needed by (installed) koncd-3.0.2-3
	libmcop.so.1 is needed by (installed) arts-devel-1.0.2-3
	libmcop.so.1 is needed by (installed) noatun-3.0.2-3
	libmcop.so.1 is needed by (installed) kdebase-3.0.2-6
	libmcop.so.1 is needed by (installed) kdemultimedia-arts-3.0.2-3
	libmcop.so.1 is needed by (installed) kdegames-3.0.2-2
	libmcop.so.1 is needed by (installed) koffice-1.2-0.beta2.3
	libmcop.so.1 is needed by (installed) kaboodle-3.0.2-3
	libmcop.so.1 is needed by (installed) koncd-3.0.2-3
	libmcop.so.1 is needed by (installed) kdeaddons-konqueror-3.0.2-3
	libmcop.so.1 is needed by (installed) kdeaddons-noatun-3.0.2-3
	libqtmcop.so.1 is needed by (installed) noatun-3.0.2-3
	libqtmcop.so.1 is needed by (installed) kdebase-3.0.2-6
	libqtmcop.so.1 is needed by (installed) kdemultimedia-arts-3.0.2-3
	libqtmcop.so.1 is needed by (installed) kdegames-3.0.2-2
	libqtmcop.so.1 is needed by (installed) koffice-1.2-0.beta2.3
	libqtmcop.so.1 is needed by (installed) kaboodle-3.0.2-3
	libqtmcop.so.1 is needed by (installed) kdeaddons-konqueror-3.0.2-3
	libqtmcop.so.1 is needed by (installed) kdeaddons-noatun-3.0.2-3
	libsoundserver_idl.so.1 is needed by (installed) noatun-3.0.2-3
	libsoundserver_idl.so.1 is needed by (installed) kdebase-3.0.2-6
	libsoundserver_idl.so.1 is needed by (installed) kdemultimedia-arts-3.0.2-3
	libsoundserver_idl.so.1 is needed by (installed) kdegames-3.0.2-2
	libsoundserver_idl.so.1 is needed by (installed) koffice-1.2-0.beta2.3
	libsoundserver_idl.so.1 is needed by (installed) kaboodle-3.0.2-3
	libsoundserver_idl.so.1 is needed by (installed) koncd-3.0.2-3
	libsoundserver_idl.so.1 is needed by (installed) kdeaddons-konqueror-3.0.2-3
	libsoundserver_idl.so.1 is needed by (installed) kdeaddons-noatun-3.0.2-3
	arts >= 7:1.0.0 is needed by (installed) smpeg-0.4.4-15

Expected Results:

Additional Information:
Comment 1 rudi 2002-07-29 12:39:26 EDT
I think I know what's causing this.

kdelibs obsoletes kdelibs-sound. At the same time, kdelibs-sound is being
provided by arts.

My guess is that RPM tries to remove arts in attempt of obsoleting
kdelibs-sound. This is confirmed by the fact that if you install kdelibs with
--nodeps, arts will be removed.

A temporary workaround if you don't want to break any dependencies at any time
is to remove arts and all packages depending on it, upgrade kdelibs and install
arts and co. again.
Comment 2 Ngo Than 2002-08-02 06:06:16 EDT
it's fixed in 3.0.2-3 or newer.You will find it next rawhide release.

Note You need to log in before you can comment on or make changes to this bug.